#!/bin/sh
#		Adapted from GMT EXAMPLE 02
#		$Id: job07.sh,v 1.9 2009/04/16 19:38:18 guru Exp $
#
# Purpose:	XY Plot of generic data file 
# GMT progs:	psbasemap, psxy
# Unix progs:	$AWK, echo, rm, open
#

# Set Path
PATH=/opt/local/bin:/opt/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/texbin
PATH=$PATH:/applications/GMT/GMT4.5.2/bin
NETCDFHOME=/applications/GMT/netcdf-3.6.3
MANPATH=/applications/GMT/GMT4.5.2/man:$MANPATH

name=SolEx_isobar_plot
ps=$name.ps
eps=$name.eps
pdffig=$name.pdf
DATA=~/Desktop/SolEx_isobars.txt

gmtset PAPER_MEDIA A4+
gmtset ANNOT_FONT_SIZE_PRIMARY 12
gmtset ANNOT_FONT_SIZE_SECONDARY 12
gmtset LABEL_FONT_SIZE 14
gmtset TICK_LENGTH -0.2c

psbasemap -K -R0/5/0/3000 -JX12c/9c -Bf0.5a1:"H@-2@-O /wt%":/f500a1000:"CO@-2@- /ppm":WeSn -P > $ps

psxy -R -J -O -H8 -Sqn1:+Lh -m $DATA -W1p >> $ps

makecpt -Cgray -T-0.2/10.2/0.2 > colours.cpt

awk '{print $1,$2,$3}' $DATA |\
pscontour -m -R -J -O -Ccolours.cpt -Wblack -H8 -A >> $ps


rm -f .gmt*
ps2epsi $ps $eps
rm $ps
epstopdf $eps
open $pdffig

exit 0

